# Forklifter

{% hint style="warning" %}
**Make sure to add the necessary items, item images and job names required for the job**
{% endhint %}

* <mark style="background-color:yellow;">**\["name"]:**</mark> It is the label that will appear in menus or notifications.
* The <mark style="background-color:yellow;">**\[‘menu’]**</mark> variable consists of things related to the location from which the job is to be retrieved
  * <mark style="background-color:orange;">\["job\_menu"]:</mark> <mark style="color:yellow;">@vector3</mark> Accepts. The menu access location of the job.
  * <mark style="background-color:orange;">\["interaction\_distance"]:</mark> <mark style="color:yellow;">@float</mark> Accepts. The player distance controlled to access the menu.
* <mark style="background-color:orange;">\["reward"]:</mark> <mark style="color:yellow;">@number</mark> Between $250 and $500. You can enter the price you want.

***

## 🚗Operator Car / Car Settings

Contains the details of the operator vehicle. You can enter spawn location and vehicle type.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.
* <mark style="background-color:orange;">\["spawnCoords"]:</mark> <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the vehicle will emerge. The direction your character is facing is the direction the front of your vehicle will face.
* <mark style="background-color:orange;">\["shopBlip"]:</mark> True and you can see your vehicle on the map.

***

## 📦Cargo Pallet / Trucker Settings

<mark style="background-color:yellow;">**\["cargo\_list"]**</mark>: <mark style="color:yellow;">@table</mark> This table allows you to see the installation jobs to be listed.

* <mark style="background-color:yellow;">**\[index]:**</mark> <mark style="color:yellow;">@number</mark> It is a listed cargo number. The maximum garden number found should be written by adding +1 to it. If there is no listed cargo, it should start from 1
* <mark style="background-color:yellow;">**\["menuTitle"]**</mark>: <mark style="color:yellow;">@string</mark> The name of the installation that will appear in the list.
* <mark style="background-color:yellow;">**\["reward"]**</mark>**:** <mark style="color:yellow;">@number</mark> The fee he will receive for this garden at the end of the work. $0.0.
* <mark style="background-color:yellow;">**\["area"]**</mark>: <mark style="color:yellow;">@vector3</mark> It is a coordinate that should be taken from the centre of the loading area. This area is used for things like whether the user has left the area or not.
* <mark style="background-color:yellow;">**\["radius"]**</mark>: <mark style="color:yellow;">@float</mark> Width of the entered control area.
* <mark style="background-color:yellow;">**\["forkliftCoords"]**</mark>: <mark style="color:yellow;">@vector4</mark> The position from which the forklift truck will emerge. (The user will start as the driver of the forklift truck)
* ### 🕙Timer / Load Time

  There is only one set timer for deliveries. You can understand it by reading the following variables.

  * <mark style="background-color:orange;">\["delivery\_time"]:</mark> <mark style="color:yellow;">@number</mark> Time to be entered for delivery. ***Minutes \* 60 \* 1000.***
  * <mark style="background-color:orange;">\["extra\_time"]:</mark> <mark style="color:yellow;">@number</mark> Extra time to be added after the specified delivery time has expired. ***Minutes \* 60 \* 1000***
  * <mark style="background-color:orange;">\["deducted\_per\_min"]:</mark> <mark style="color:yellow;">@number</mark> If extra time is activated, a fee will be deducted from the reward for each ‘One’ minute spent.
* <mark style="background-color:yellow;">**\["cargo\_car"]**</mark>: <mark style="color:yellow;">@table</mark> Here you can find the positioning, model, and vector settings such as the lorry and trailer where the cargo will be loaded.
  * <mark style="background-color:yellow;">**\["truck"]**</mark>: <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.
  * <mark style="background-color:yellow;">**\["trailer"]**</mark>: <mark style="color:yellow;">@string</mark> You can enter the trailer model here. Be careful to enter a valid trailer.
  * <mark style="background-color:orange;">\[</mark><mark style="background-color:yellow;">**"coords"]**</mark>: <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the vehicle will emerge. The direction your character is facing is the direction the front of your vehicle will face.
  * <mark style="background-color:red;">**\["placeable\_bones"]**</mark>: <mark style="color:red;">**IMPORTANT**</mark> ⇒ <mark style="color:yellow;">@table</mark> *To briefly summarise its content, the 22nd and 23rd bone ids of the resulting trailer are empty positions. Pallet etc. It can be positioned with things, but since there are 2 positioning, we increase the positionable areas based on these bones. I recommend that you use the written default as copy and paste and do not change it.*
* <mark style="background-color:yellow;">**\["cargos"]**</mark>: <mark style="color:yellow;">@table</mark> It is a table containing the models and locations of the cargoes.
  * <mark style="background-color:yellow;">**\[index]:**</mark> <mark style="color:yellow;">@number</mark> It is a cargo number. The maximum garden number found should be written by adding +1 to it. If there is no cargo, it should start from 1
  * <mark style="background-color:yellow;">**\["prop"]**</mark>: <mark style="color:yellow;">@string</mark> It is the model of the cargo to be loaded. Default ‘**prop\_boxpile\_06a**’
  * <mark style="background-color:yellow;">**\["coords"]**</mark>: <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the prop will emerge. The direction your character is facing is the direction the front of your vehicle will face.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-jobpack/job-settings/forklifter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
